> ## Documentation Index
> Fetch the complete documentation index at: https://developers.ebioro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Balances

> Fetches all balances for the logged-in merchant.



## OpenAPI

````yaml GET /accounts/balances
openapi: 3.0.0
info:
  title: Ebioro Merchant API
  description: >-
    API for merchant payment processing on Stellar. Supports direct USDC
    payments and cross-chain deposits from multiple blockchains.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /accounts/balances:
    get:
      tags:
        - Accounts
      summary: Retrieve all balances
      description: Fetches all balances for the logged-in merchant.
      operationId: getBalances
      parameters:
        - name: x-digest-timestamp
          in: header
          description: Current Unix timestamp
          required: true
          schema:
            type: string
        - name: x-digest-key
          in: header
          description: Your public api key
          required: true
          schema:
            type: string
        - name: x-digest-signature
          in: header
          description: Digest Auth Signature
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            On success, the endpoint will return a JSON object with detailed
            account balances for each asset.
          content:
            application/json:
              example:
                USDC:GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5:
                  balance: '0.00'
                EURS:GCWPTOH75K6Y7B3F267SDWEY5OVDQEK6OQ2VUINEZFOL5HX544NECR6Y:
                  balance: '20.23'
              schema:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    balance:
                      type: string
                      description: The total available balance for the asset.
                description: >-
                  Each key is an asset identifier and the value is an object
                  containing the balance information.
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                reason: Unauthorized
                statusCode: 401
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                reason: Internal Server Error
                statusCode: 500
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
      security:
        - customHeader: []
components:
  securitySchemes:
    customHeader:
      type: apiKey
      in: header
      name: x-digest-key
      description: Your public API key

````